#include <bits/stdc++.h>
using namespace std;

long long a[int(1e5) + 5], n, m;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cin >> n;
    for(int i = 0; i < n; i++) {
        cin >> a[i];
    }
    sort(a, a + n);
    long long k;
    for(int i = 0; i < n; i++) {
        if(a[i] >= n || i >= n-a[i] || a[i] == a[n-a[i]]) {k = i; break;}
    }
    long long pred = 0;
    long long minus = 0;
    long long pred_min;
    long long ans = 0;
    for(int i = n-1; i >= k; i--) {
        if(a[i] != pred) {
            pred_min = a[i] - minus;
            pred = a[i];
            ans += 1LL * pred_min;
        } else {
            ans += 1LL * pred_min;
        }
        minus++;
        //cout << ans << ' ';
    }
    cout << ans;
}
